#if !defined(AFX_DLGREPLACETEXT_H__D6E9D95B_9C4E_4C77_9A2A_8E6D62075AC0__INCLUDED_)
#define AFX_DLGREPLACETEXT_H__D6E9D95B_9C4E_4C77_9A2A_8E6D62075AC0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgReplaceText.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "CmbReg.h"				// For CFCCmbReg.
#include "DlgModelessBase.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCDlgModelessBase

/////////////////////////////////////////////////////////////////////////////
// CFCDlgReplaceText _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCDlgReplaceText : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
// 05.11.13 Fukushiro M. 1_xZkqqHx_iNhDjFmPiNfI_xHqqkZx_ ()
//	CFCDlgReplaceText (CWnd* pParent = NULL);   // _xZkqqHx_jFfHiPiAiCmMiDfCiDjDiDfIiDgHiDiJiDeOiDfO_xHqqkZx_
	CFCDlgReplaceText ();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCDlgReplaceText)
	enum { IDD = IDD_WIN_REPLACE_TEXT };
	CFCCmbReg	m_cmbTextAfter;
	CFCCmbReg	m_cmbTextBefore;
	//}}AFX_DATA

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
public:
	virtual void	UpdateRegistory ();
	virtual void	SetChkChipTextVisible (BOOL bVisible);
	virtual void	SetChkFindLayerVisible (BOOL bVisible);
// 05.08.16 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
	virtual void	SetBtnReplaceAllInSelectVisible (BOOL bVisible);

protected:
	virtual void	UpdateControl ();

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiBeC_xHqqkZx_
protected:
	BOOL	m_bIsChanged;

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCDlgReplaceText)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:

	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCDlgReplaceText)
	afx_msg void OnRptBtnReplaceNext();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnRptChkRegexp();
	afx_msg void OnRptChkAsUppercase();
	afx_msg void OnEditchangeRptCmbTextAfter();
	afx_msg void OnSelchangeRptCmbTextAfter();
	afx_msg void OnEditchangeRptCmbTextBefore();
	afx_msg void OnSelchangeRptCmbTextBefore();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnRptBtnReplacePrev();
	afx_msg void OnRptBtnReplaceAll();
	afx_msg void OnRptChkChipText();
	afx_msg void OnRptChkFindNoEditLayer();
	afx_msg void OnRptBtnFindNext();
	afx_msg void OnRptBtnFindPrev();
	virtual void OnCancel();
	afx_msg void OnCloseupRptCmbTextBefore();
	afx_msg void OnCloseupRptCmbTextAfter();
	afx_msg void OnRptChkReplaceNoSelectLayer();
	afx_msg void OnRptChkReplaceNoDisplayLayer();
	afx_msg void OnRptChkMultiWord();
	afx_msg void OnRptBtnReplaceAllInSelect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_DLGREPLACETEXT_H__D6E9D95B_9C4E_4C77_9A2A_8E6D62075AC0__INCLUDED_)
